scala.tools.cmd

# Instance

#### trait Instance extends Spec

The trait mixed into each instance of a specification.

Source
  Instance.scala
See also

  Reference

Linear Supertypes
Spec, AnyRef, Any
Known Subclasses
Codegen
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Instance
2. Spec
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type OptionMagic = Opt.Instance

   Definition Classes
     Instance → Spec

### Abstract Value Members

1. #### abstract def parsed: CommandLine

2. #### abstract def programInfo: Info

   Definition Classes
     Spec

3. #### abstract def referenceSpec: Reference

   Definition Classes
     Spec

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Instance to any2stringadd[Instance] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Instance, B)

   Implicit information
     This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (Instance) ⇒ Boolean, msg: ⇒ Any): Instance

   Implicit information
     This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Instance) ⇒ Boolean): Instance

   Implicit information
     This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Instance

    Implicit information
      This member is added by an implicit conversion from Instance to Ensuring[Instance] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Instance to StringFormat[Instance] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

19. #### def help(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Instance → Spec

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isSet(s: String): Boolean

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### implicit def optionMagicAdditions(name: String): Opt.Instance

    Attributes
      protected
    Definition Classes
      Instance → Spec

26. #### def originalArgs: List[String]

27. #### def residualArgs: List[String]

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (Instance, B)

    Implicit information
      This member is added by an implicit conversion from Instance to ArrowAssoc[Instance] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Instance to any2stringadd[Instance]

### Inherited by implicit conversion StringFormat from Instance to StringFormat[Instance]

### Inherited by implicit conversion Ensuring from Instance to Ensuring[Instance]

### Inherited by implicit conversion ArrowAssoc from Instance to ArrowAssoc[Instance]

### Ungrouped